export declare function useSignalRMessages<T extends {
    SequenceNumber?: number | null;
    Read?: boolean | null;
    Subject?: string | null;
}>(topic: string): {
    messages: T[];
    hasUnreadMessages: boolean;
    setMessageAsRead: (message: T) => void;
    setAllMessagesAsRead: () => void;
    deleteMessage: (message: T) => Promise<void>;
    closeConnection: () => Promise<void>;
};
