import { CSSProperties } from 'react';
export interface SingleSelectDrawerProps<T extends {
    id: string;
    label: string;
}> {
    disabled?: boolean;
    id?: string;
    items: T[];
    initialItem: T | undefined;
    label: string;
    meta?: string;
    onChange?: (value: T | undefined) => void;
    placeholder?: string;
    readOnly?: boolean;
    style?: CSSProperties;
}
/**
 * @deprecated Use ComboBox instead
 */
declare const SingleSelectDrawer: {
    <T extends {
        id: string;
        label: string;
    }>({ disabled, onChange, items, label, initialItem, meta, readOnly, placeholder, }: SingleSelectDrawerProps<T>): import("react/jsx-runtime").JSX.Element;
    displayName: string;
};
export default SingleSelectDrawer;
