import { FC, MutableRefObject, ReactElement } from 'react';
import { AccountInfo } from '@azure/msal-common';
interface AccountProps {
    /**
     * @deprecated logout - Not needed anymore
     */
    logout?: () => void;
    /**
     * @deprecated account - Not needed anymore
     */
    account?: AccountInfo | undefined;
    /**
     * @deprecated photo - Not needed anymore
     */
    photo?: string | undefined;
    /**
     * @deprecated roles - Not needed anymore
     */
    roles?: string[] | undefined;
    renderCustomButton?: (buttonRef: MutableRefObject<HTMLButtonElement | null>, handleToggle: () => void) => ReactElement;
}
export declare const Account: FC<AccountProps>;
export {};
