import { FocusEventHandler, HTMLAttributes, MouseEventHandler, ReactNode } from 'react';
import { IconData } from '@equinor/eds-icons';
export interface ListItemProps extends HTMLAttributes<HTMLButtonElement> {
    label: string;
    onClick: MouseEventHandler<HTMLButtonElement>;
    onFocus?: FocusEventHandler<HTMLButtonElement>;
    onBlur?: FocusEventHandler<HTMLButtonElement>;
    leadingContent?: ReactNode | IconData;
    trailingContent?: ReactNode | IconData;
    disabled?: boolean;
    selected?: boolean;
    isChild?: boolean;
}
export declare const ListItem: import("react").ForwardRefExoticComponent<ListItemProps & import("react").RefAttributes<HTMLButtonElement>>;
