import{Chip as i}from"@equinor/eds-core-react";import{tokens as r}from"../../../node_modules/@equinor/eds-tokens/dist/esm/base/index.js";import{animation as o}from"../../../atoms/style/animation.js";import"../../../atoms/style/colors.js";import{spacings as t}from"../../../atoms/style/spacings.js";import a from"styled-components";const{colors:e,shape:s}=r,n=a.button`
  border-radius: 50%;
  padding: 0;
  outline-offset: ${t.x_small};
  background: none;
  cursor: pointer;
  &:focus {
    outline: 2px dashed ${e.interactive.primary__resting.rgba};
  }
`,d=a.div`
  padding: ${t.medium} ${t.small} 0 ${t.small};
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: ${t.small};
`,l=a.div`
  display: flex;
  flex-direction: column;
  align-items: center;
`,m=a.section`
  display: flex;
  gap: ${t.small};
  margin-top: ${t.small};
`,g=a(i)`
  background: ${e.ui.background__light.rgba};
  border: 1px solid ${e.ui.background__medium.rgba};
  color: ${e.text.static_icons__default.rgba};
`,u=a.div`
  display: grid;
  margin-top: ${t.x_large};
  justify-content: center;
`,c=a.button`
  display: grid;
  grid-template-columns: auto 1fr auto;
  align-items: center;
  gap: ${t.medium_small};
  width: 100%;
  padding: ${t.small};
  border-radius: ${s.button.borderRadius};
  background: ${e.ui.background__light.rgba};
  transition: background ${o.transitionMS};

  > span {
    color: ${e.interactive.primary__resting.rgba};
  }

  > svg {
    fill: ${e.interactive.primary__resting.rgba};
  }

  &:hover {
    background: ${e.ui.background__medium.rgba};
  }
`;export{u as ButtonWrapper,d as Container,c as OpenImpersonationMenuButton,n as ProfileButton,g as RoleChip,m as RolesContainer,l as TextContent};
